package net.thecodersbreakfast.generics.fluent;

public class Main {

	public static void main(String[] args) {
		SuperAdvancedQueryBuilder<?> builder = new SuperAdvancedQueryBuilder<SuperAdvancedQueryBuilder<?>>();
		builder.select("blog.name", "count(visit.id)").from("visit", "blog").where("blog.language='fr'").groupBy("blog.name").having("count(visit.id) > 1000")
				.comment("This is a comment");
		System.out.println(builder.getQuery());
	}

}
